## foo2zjs 20160902dfsg0

=== Makefile ===
LANG=C
UNAME := $(shell uname)
MACH := $(shell uname -m | sed 's/i.86/x86_32/')

ifeq ($(UNAME),SunOS)
    EUID := $(shell /usr/xpg4/bin/id -u)
    SHELL=bash
    CC=gcc
    OLDGROFF=OLDGROFF
else
    EUID := $(shell id -u)
endif

SYSNAME := $(shell uname -n)

# No version number yet...
VERSION=0.0

# Installation prefix...
PREFIX=/usr/local
PREFIX=/usr
PREFIX=$(DESTDIR)/usr

# Pathnames for this package...
BIN=$(PREFIX)/bin
SHAREZJS=$(PREFIX)/share/foo2zjs
SHAREOAK=$(PREFIX)/share/foo2oak
SHAREHP=$(PREFIX)/share/foo2hp
SHAREXQX=$(PREFIX)/share/foo2xqx
SHARELAVA=$(PREFIX)/share/foo2lava
SHAREQPDL=$(PREFIX)/share/foo2qpdl
SHARESLX=$(PREFIX)/share/foo2slx
SHAREHC=$(PREFIX)/share/foo2hiperc
SHAREHBPL=$(PREFIX)/share/foo2hbpl
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/foo2zjs/
INSTALL=install
ROOT=root

# Pathnames for referenced packages...
FOODB=$(DESTDIR)/usr/share/foomatic/db/source

# User ID's
LPuid=-oroot
LPgid=-glp
ifeq ($(UNAME),Darwin)
    LPuid=-oroot
    LPgid=-gwheel
    #ROOT=sudo
endif
ifeq ($(UNAME),FreeBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),OpenBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),SunOS)
    LPuid=-oroot
    LPgid=-glp
    INSTALL=/usr/ucb/install
endif
# If we aren't root, don't try to set ownership
ifneq ($(EUID),0)
    LPuid=
    LPgid=
endif

# Definition of modtime()
MODTIME= date -d "1/1/1970 utc + `stat -t $$1 | cut -f14 -d' '` seconds" "+%a %b %d %T %Y"
ifeq ($(UNAME),FreeBSD)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),OpenBSD)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),Darwin)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),SunOS)
    MODTIME= `ls -e $$1 | cut -c42-61`
endif

#
# Files for tarball
#
NULL=
WEBFILES=	\
		foo2zjs.html.in \
		style.css \
		archzjs.fig \
		2300.png \
		2430.png \
		1020.png \
		foo2oak.html.in \
		archoak.fig \
		1500.gif \
		foo2hp.html.in \
		archhp.fig \
		2600.gif \
		foo2xqx.html.in \
		archxqx.fig \
		m1005.gif \
		foo2lava.html.in \
		archlava.fig \
		2530.gif \
		foo2qpdl.html.in \
		archqplp.fig \
		foo2slx.html.in \
		archslx.fig \
		c500n.png \
		foo2hiperc.html.in \
		archhiperc.fig \
		c3400n.png \
		$(NULL)
	
FILES	=	\
		README \
		README.in \
		INSTALL \
		INSTALL.in \
		INSTALL.osx \
		INSTALL.usb \
		COPYING \
		ChangeLog \
		Makefile \
		foo2zjs.c \
		foo2zjs.1in \
		jbig.c \
		jbig.h \
		jbig_ar.c \
		jbig_ar.h \
		zjsdecode.c \
		zjsdecode.1in \
		zjs.h \
		foo2hp.c \
		foo2hp.1in \
		foo2xqx.c \
		foo2xqx.1in \
		foo2lava.c \
		foo2lava.1in \
		foo2qpdl.c \
		foo2qpdl.1in \
		foo2slx.c \
		foo2slx.1in \
		foo2hiperc.c \
		foo2hiperc.1in \
		hbpl.h \
		foo2hbpl2.c \
		foo2hbpl2.1in \
		cups.h \
		xqx.h \
		xqxdecode.c \
		xqxdecode.1in \
		lavadecode.c \
		lavadecode.1in \
		qpdl.h \
		qpdldecode.c \
		qpdldecode.1in \
		opldecode.c \
		opldecode.1in \
		slx.h \
		slxdecode.c \
		slxdecode.1in \
		gipddecode.c \
		gipddecode.1in \
		hbpldecode.c \
		hbpldecode.1in \
		foo2zjs-wrapper.in \
		foo2zjs-wrapper.1in \
		foo2hp2600-wrapper.in \
		foo2hp2600-wrapper.1in \
		foo2xqx-wrapper.in \
		foo2xqx-wrapper.1in \
		foo2lava-wrapper.in \
		foo2lava-wrapper.1in \
		foo2qpdl-wrapper.in \
		foo2qpdl-wrapper.1in \
		foo2slx-wrapper.in \
		foo2slx-wrapper.1in \
		foo2hiperc-wrapper.in \
		foo2hiperc-wrapper.1in \
		foo2hbpl2-wrapper.in \
		foo2hbpl2-wrapper.1in \
		gamma.ps \
		gamma-lookup.ps \
		align.ps \
		testpage.ps \
		foomatic-db/*/*.xml \
		foomatic-test \
		getweb.in \
		icc2ps/*.[ch] \
		icc2ps/*.1in \
		icc2ps/Makefile \
		icc2ps/AUTHORS \
		icc2ps/COPYING \
		icc2ps/README \
		icc2ps/README.foo2zjs \
		osx-hotplug/Makefile \
		osx-hotplug/*.m \
		osx-hotplug/*.1in \
		osx-hotplug/*.plist \
		ppd-adjust \
		PPD/*.ppd \
		crd/zjs/*.crd \
		crd/zjs/*.ps \
		crd/qpdl/*cms* \
		crd/qpdl/*.ps \
		arm2hpdl.c \
		arm2hpdl.1in \
		usb_printerid.c \
		usb_printerid.1in \
		hplj1000 \
		hplj10xx.rules* \
		msexpand \
		oak.h \
		foo2oak.c \
		foo2oak.1in \
		oakdecode.c \
		oakdecode.1in \
		foo2oak-wrapper.in \
		foo2oak-wrapper.1in \
		hiperc.h \
		hipercdecode.c \
		hipercdecode.1in \
		c5200mono.prn \
		foo2zjs-pstops.sh \
		foo2zjs-pstops.1in \
		hplj1020.desktop \
		hplj1020_icon.png \
		hplj1020_icon.gif \
		hplj10xx_gui.tcl \
		includer-man \
		macros.man \
		regress.txt \
		printer-profile.sh \
		printer-profile.1in \
		freebsd-install \
		hplj10xx.conf \
		modify-ppd \
		command2foo2lava-pjl.c \
		myftpput \
		$(NULL)

# CUPS vars
CUPS_SERVERBIN := $(DESTDIR)$(shell cups-config --serverbin 2>/dev/null)
CUPS_DEVEL := $(shell grep cupsSideChannelDoRequest /usr/include/cups/sidechannel.h 2>/dev/null)
CUPS_GOODAPI := $(shell cups-config --api-version 2>/dev/null | sed "s/1\.[0123].*//")

# hpclj2600n-0.icm km2430_0.icm km2430_1.icm km2430_2.icm samclp300-0.icm
# sihp1000.img sihp1005.img sihp1020.img sihp1018.img
# sihpP1005.img sihpP1006.img sihpP1505.img

# Programs and libraries
PROGS=		foo2zjs zjsdecode arm2hpdl foo2hp foo2xqx xqxdecode
PROGS+=		foo2lava lavadecode foo2qpdl qpdldecode opldecode
PROGS+=		foo2oak oakdecode
PROGS+=		foo2slx slxdecode
PROGS+=		foo2hiperc hipercdecode
PROGS+=		foo2hbpl2 hbpldecode
PROGS+=		gipddecode
ifneq ($(CUPS_SERVERBIN),)
    ifneq ($(CUPS_DEVEL),)
	ifneq ($(CUPS_GOODAPI),)
	    PROGS+=	command2foo2lava-pjl
	endif
    endif
endif
SHELLS=		foo2zjs-wrapper foo2oak-wrapper foo2hp2600-wrapper \
		foo2xqx-wrapper foo2lava-wrapper foo2qpdl-wrapper \
		foo2slx-wrapper foo2hiperc-wrapper foo2hbpl2-wrapper
SHELLS+=	foo2zjs-pstops
SHELLS+=	printer-profile
MANPAGES=	foo2zjs-wrapper.1 foo2zjs.1 zjsdecode.1
MANPAGES+=	foo2oak-wrapper.1 foo2oak.1 oakdecode.1
MANPAGES+=	foo2hp2600-wrapper.1 foo2hp.1
MANPAGES+=	foo2xqx-wrapper.1 foo2xqx.1 xqxdecode.1
MANPAGES+=	foo2lava-wrapper.1 foo2lava.1 lavadecode.1 opldecode.1
MANPAGES+=	foo2qpdl-wrapper.1 foo2qpdl.1 qpdldecode.1
MANPAGES+=	foo2slx-wrapper.1 foo2slx.1 slxdecode.1
MANPAGES+=	foo2hiperc-wrapper.1 foo2hiperc.1 hipercdecode.1
MANPAGES+=	foo2hbpl2-wrapper.1 foo2hbpl2.1 hbpldecode.1
MANPAGES+=	gipddecode.1
MANPAGES+=	foo2zjs-pstops.1 arm2hpdl.1 usb_printerid.1
MANPAGES+=	printer-profile.1
LIBJBG	=	jbig.o jbig_ar.o
BINPROGS=

ifeq ($(UNAME),Linux)
	BINPROGS += usb_printerid
endif

# Compiler flags
#CFLAGS +=	-O2 -Wall -Wno-unused-but-set-variable
CFLAGS +=	-O2 -Wall 
#CFLAGS +=	-g

#
# Rules to create test documents
#
GX=10200
GY=6600
GXR=1200
GYR=600
GSOPTS=	-q -dBATCH -dSAFER -dQUIET -dNOPAUSE -sPAPERSIZE=letter -r$(GXR)x$(GYR)
JBGOPTS=-m 16 -d 0 -p 92	# Equivalent options for pbmtojbg

.SUFFIXES: .ps .pbm .pgm .pgm2 .ppm .ppm2 .zjs .cmyk .pksm .zc .zm .jbg \
	   .cups .cupm .1 .1in .fig .gif .xqx .lava .qpdl .slx .hc .hbpl

.fig.gif:
	fig2dev -L gif $*.fig | giftrans -t "#ffffff" -o $*.gif

# old .fig.gif
# fig2dev -L ppm  $*.fig | pnmquant -fs 256 \
# | ppmtogif -transparent rgb:ff/ff/ff >$*.gif

.ps.cups:
	gs $(GSOPTS) -r600x600 \
	    -dcupsColorSpace=6 -dcupsBitsPerColor=2 -dcupsColorOrder=2 \
	    -sDEVICE=cups -sOutputFile=$*.cups $*.ps

.ps.cupm:
	gs $(GSOPTS) -r600x600 \
	    -dcupsColorSpace=3 -dcupsBitsPerColor=2 -dcupsColorOrder=2 \
	    -sDEVICE=cups -sOutputFile=$*.cupm $*.ps

.ps.pbm:
	gs $(GSOPTS) -sDEVICE=pbmraw -sOutputFile=$*.pbm $*.ps

.ps.ppm:
	gs $(GSOPTS) -sDEVICE=ppmraw -sOutputFile=$*.ppm $*.ps

.ps.pgm:
	gs $(GSOPTS) -sDEVICE=pgmraw -sOutputFile=- $*.ps \
	| pnmdepth 3 > $*.pgm

.ps.pgm2:
	gs.rick $(GSOPTS) -sDEVICE=pgmraw2 -sOutputFile=$*.pgm2 $*.ps

.ps.cmyk:
	gs $(GSOPTS) -sDEVICE=bitcmyk -sOutputFile=$*.cmyk $*.ps

.ps.pksm:
	gs $(GSOPTS) -sDEVICE=pksmraw -sOutputFile=$*.pksm $*.ps

.ps.zc:
	gs $(GSOPTS) -sDEVICE=bitcmyk -sOutputFile=- - < $*.ps \
	| ./foo2zjs -r1200x600 -g10200x6600 -p1 >$*.zc

.ps.zm:
	gs $(GSOPTS) -sDEVICE=pbmraw -sOutputFile=- - < $*.ps \
	| ./foo2zjs -r1200x600 -g10200x6600 -p1 >$*.zm

.pbm.zjs:
	./foo2zjs < $*.pbm > $*.zjs

.cmyk.zjs:
	./foo2zjs < $*.cmyk > $*.zjs

.pksm.zjs:
	./foo2zjs < $*.pksm > $*.zjs

.pbm.xqx:
	./foo2xqx < $*.pbm > $*.xqx

.pbm.qpdl:
	./foo2qpdl < $*.pbm > $*.qpdl

.pbm.slx:
	./foo2slx < $*.pbm > $*.slx

.pbm.hc:
	./foo2hiperc < $*.pbm > $*.hc

.pbm.hbpl:
	./foo2hbpl2 < $*.pbm > $*.hbpl

#
# The usual build rules
#
all:	all-test $(PROGS) $(BINPROGS) $(SHELLS) getweb \
	all-icc2ps all-osx-hotplug man doc \
	all-done

all-test:
	#
	# Dependencies...
	#
	@if ! type $(CC) >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: $(CC) is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/stdio.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/stdio.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      *** for Ubuntu: sudo apt-get install build-essential"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! type gs >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: gs is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install ghostscript (gs) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! type dc >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: dc is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install dc package"; \
	    echo "      *** for Ubuntu: sudo apt-get install dc"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! dc -V >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: must install GNU dc with the -e option!"; \
	    echo "      ***"; \
	    exit 1; \
	fi
ifeq ($(UNAME),Darwin)
	@if ! type gsed >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: gsed is not installed!"; \
	    echo "      ***"; \
	    echo "      *** For OSX: sudo port install gsed"; \
	    echo "      ***"; \
	    exit 1; \
	fi
endif
	# ... OK!
	#

all-done:
	@echo
	@echo "It is possible that certain products which can be built using this"
	@echo "software module might form inventions protected by patent rights in"
	@echo "some countries (e.g., by patents about arithmetic coding algorithms"
	@echo "owned by IBM and AT&T in the USA). Provision of this software by the"
	@echo "author does NOT include any licences for any patents. In those"
	@echo "countries where a patent licence is required for certain applications"
	@echo "of this software module, you will have to obtain such a licence"
	@echo "yourself."


foo2zjs: foo2zjs.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2zjs.o $(LIBJBG)

foo2hp: foo2hp.o $(LIBJBG)
	# $(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG) /usr/local/lib/libdmalloc.a
	$(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG)

foo2xqx: foo2xqx.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2xqx.o $(LIBJBG)

foo2lava: foo2lava.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2lava.o $(LIBJBG)

foo2qpdl: foo2qpdl.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2qpdl.o $(LIBJBG)

foo2oak: foo2oak.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2oak.o $(LIBJBG)

foo2slx: foo2slx.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2slx.o $(LIBJBG)

foo2hiperc: foo2hiperc.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2hiperc.o $(LIBJBG)

foo2hbpl2: foo2hbpl2.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2hbpl2.o $(LIBJBG)


foo2zjs-wrapper: foo2zjs-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2hp2600-wrapper: foo2hp2600-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2xqx-wrapper: foo2xqx-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2lava-wrapper: foo2lava-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

=== debian/changelog ===
foo2zjs (20160902dfsg0-2) unstable; urgency=medium

  * Update patch to getweb to fix installation of icm files
    (Closes: #840129)

 -- Didier Raboud <odyx@debian.org>  Sat, 08 Oct 2016 18:38:08 +0200

foo2zjs (20160902dfsg0-1) unstable; urgency=medium

  * New 20160902 upstream release
    - New printers:
      + Xerox Phaser 3010 using the foo2hbpl2 driver
      + Xerox Phaser 3040 using the foo2hbpl2 driver

  * DFSG repack (no changes from previous releases)
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Initialize git-dpm and rephrase most patches' descriptions

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Oct 2016 11:54:01 +0200

=== debian/control ===
Source: foo2zjs
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9),
 ghostscript,
 cups-filters | foomatic-filters,
 foomatic-db-engine,
 libcups2-dev,
 liblcms2-utils,
 dc,
 time,
 pyppd (>= 1.0.2-1~),
 libjbig-dev
XS-Testsuite: autopkgtest
Standards-Version: 3.9.8
Homepage: http://foo2zjs.rkkda.com/
Vcs-Git: https://anonscm.debian.org/git/printing/foo2zjs.git
Vcs-Browser: https://anonscm.debian.org/cgit/printing/foo2zjs.git

Package: printer-driver-foo2zjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, cups-filters | foomatic-filters, dc, printer-driver-foo2zjs-common (>= ${source:Version}), liblcms2-utils
Recommends: wget, unzip, ${debian:mscompress}, cups, cups-client
Suggests: psutils, hannah-foo2zjs
Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)
Replaces: foo2zjs (<< 20111023dfsg0-1~)
Description: printer driver for ZjStream-based printers
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package provides the following drivers: foo2hblp2, foo2hiperc,
 foo2hp, foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
 .
 The psutils package is needed to enable n-up printing support.

Package: printer-driver-foo2zjs-common
Architecture: all
Depends: ${misc:Depends}
Recommends: ${debian:tix}, tk, printer-driver-foo2zjs (>= ${source:Version})
Suggests: ${ubuntu:tix}
Enhances: printer-driver-foo2zjs (>= ${source:Version})
Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)
Replaces: foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)
Description: printer driver for ZjStream-based printers - common files
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package contains the architecture-independent files for
 printer-driver-foo2zjs.

## foo2zjs 20170320dfsg0

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 SHARESLX=$(PREFIX)/share/foo2slx
 SHAREHC=$(PREFIX)/share/foo2hiperc
 SHAREHBPL=$(PREFIX)/share/foo2hbpl
+SHAREDDST=$(PREFIX)/share/foo2ddst
 MANDIR=$(PREFIX)/share/man
 DOCDIR=$(PREFIX)/share/doc/foo2zjs/
 INSTALL=install
@@ -149,6 +150,8 @@
 		hbpl.h \
 		foo2hbpl2.c \
 		foo2hbpl2.1in \
+		foo2ddst.c \
+		foo2ddst.1in \
 		cups.h \
 		xqx.h \
 		xqxdecode.c \
@@ -167,6 +170,9 @@
 		gipddecode.1in \
 		hbpldecode.c \
 		hbpldecode.1in \
+		ddst.h \
+		ddstdecode.c \
+		ddstdecode.1in \
 		foo2zjs-wrapper.in \
 		foo2zjs-wrapper.1in \
 		foo2hp2600-wrapper.in \
@@ -183,6 +189,8 @@
 		foo2hiperc-wrapper.1in \
 		foo2hbpl2-wrapper.in \
 		foo2hbpl2-wrapper.1in \
+		foo2ddst-wrapper.in \
+		foo2ddst-wrapper.1in \
 		gamma.ps \
 		gamma-lookup.ps \
 		align.ps \
@@ -260,6 +268,7 @@
 PROGS+=		foo2hiperc hipercdecode
 PROGS+=		foo2hbpl2 hbpldecode
 PROGS+=		gipddecode
+PROGS+=		foo2ddst ddstdecode
 ifneq ($(CUPS_SERVERBIN),)
     ifneq ($(CUPS_DEVEL),)
 	ifneq ($(CUPS_GOODAPI),)
@@ -269,7 +278,8 @@
 endif
 SHELLS=		foo2zjs-wrapper foo2oak-wrapper foo2hp2600-wrapper \
 		foo2xqx-wrapper foo2lava-wrapper foo2qpdl-wrapper \
-		foo2slx-wrapper foo2hiperc-wrapper foo2hbpl2-wrapper
+		foo2slx-wrapper foo2hiperc-wrapper foo2hbpl2-wrapper \
+		foo2ddst-wrapper
 SHELLS+=	foo2zjs-pstops
 SHELLS+=	printer-profile
 MANPAGES=	foo2zjs-wrapper.1 foo2zjs.1 zjsdecode.1
@@ -281,6 +291,7 @@
 MANPAGES+=	foo2slx-wrapper.1 foo2slx.1 slxdecode.1
 MANPAGES+=	foo2hiperc-wrapper.1 foo2hiperc.1 hipercdecode.1
 MANPAGES+=	foo2hbpl2-wrapper.1 foo2hbpl2.1 hbpldecode.1
+MANPAGES+=	foo2ddst-wrapper.1 foo2ddst.1 ddstdecode.1
 MANPAGES+=	gipddecode.1
 MANPAGES+=	foo2zjs-pstops.1 arm2hpdl.1 usb_printerid.1
 MANPAGES+=	printer-profile.1
@@ -307,7 +318,7 @@
 JBGOPTS=-m 16 -d 0 -p 92	# Equivalent options for pbmtojbg
 
 .SUFFIXES: .ps .pbm .pgm .pgm2 .ppm .ppm2 .zjs .cmyk .pksm .zc .zm .jbg \
-	   .cups .cupm .1 .1in .fig .gif .xqx .lava .qpdl .slx .hc .hbpl
+	   .cups .cupm .1 .1in .fig .gif .xqx .lava .qpdl .slx .hc .hbpl .ddst
 
 .fig.gif:
 	fig2dev -L gif $*.fig | giftrans -t "#ffffff" -o $*.gif
@@ -376,6 +387,9 @@
 
 .pbm.hbpl:
 	./foo2hbpl2 < $*.pbm > $*.hbpl
+
+.pbm.ddst:
+	./foo2ddst < $*.pbm > $*.ddst
 
 #
 # The usual build rules
@@ -453,56 +467,46 @@
 	@echo "yourself."
 
 
+foo2ddst: foo2ddst.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2ddst.o $(LIBJBG)
+
+foo2hbpl2: foo2hbpl2.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2hbpl2.o $(LIBJBG)
+
+foo2hp: foo2hp.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG)
+
+foo2hiperc: foo2hiperc.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2hiperc.o $(LIBJBG)
+
+foo2lava: foo2lava.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2lava.o $(LIBJBG)
+
+foo2oak: foo2oak.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2oak.o $(LIBJBG)
+
+foo2qpdl: foo2qpdl.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2qpdl.o $(LIBJBG)
+
+foo2slx: foo2slx.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2slx.o $(LIBJBG)
+
+foo2xqx: foo2xqx.o $(LIBJBG)
+	$(CC) $(CFLAGS) -o $@ foo2xqx.o $(LIBJBG)
+
 foo2zjs: foo2zjs.o $(LIBJBG)
 	$(CC) $(CFLAGS) -o $@ foo2zjs.o $(LIBJBG)
 
-foo2hp: foo2hp.o $(LIBJBG)
-	# $(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG) /usr/local/lib/libdmalloc.a
-	$(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG)
-
-foo2xqx: foo2xqx.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ foo2xqx.o $(LIBJBG)
-
-foo2lava: foo2lava.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ foo2lava.o $(LIBJBG)
-
-foo2qpdl: foo2qpdl.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ foo2qpdl.o $(LIBJBG)
-
-foo2oak: foo2oak.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ foo2oak.o $(LIBJBG)
-
-foo2slx: foo2slx.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ foo2slx.o $(LIBJBG)
-
-foo2hiperc: foo2hiperc.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ foo2hiperc.o $(LIBJBG)
-
-foo2hbpl2: foo2hbpl2.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ foo2hbpl2.o $(LIBJBG)
-
-
-foo2zjs-wrapper: foo2zjs-wrapper.in Makefile
+
+foo2ddst-wrapper: foo2ddst-wrapper.in Makefile
 	[ ! -f $@ ] || chmod +w $@
 	sed < $@.in > $@ \
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2hp2600-wrapper: foo2hp2600-wrapper.in Makefile
+foo2hbpl2-wrapper: foo2hbpl2-wrapper.in Makefile
 	[ ! -f $@ ] || chmod +w $@
 	sed < $@.in > $@ \
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2xqx-wrapper: foo2xqx-wrapper.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-
-foo2lava-wrapper: foo2lava-wrapper.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-

=== osx-hotplug/Makefile ===
LANG=C
UNAME := $(shell uname)
PREFIX= /usr
PREFIX= $(DESTDIR)/usr
BIN=    $(PREFIX)/bin
MANDIR=$(PREFIX)/share/man
INSTALL=install
RC=/etc/rc.local

.SUFFIXES: .1 .1in

ifeq ($(UNAME),Darwin)
all:	osx-hplj-hotplug
else
all:
endif

osx-hplj-hotplug: osx-hplj-hotplug.o
	gcc osx-hplj-hotplug.o -o $@ \
	    -framework IOKit \
	    -framework Foundation \
	    -framework CoreFoundation

man:	osx-hplj-hotplug.1

.1in.1: 
	-rm -f $*.1
	MODver=$(VERSION); \
	../includer-man -v DEF1=$(OLDGROFF) $*.1in | sed > $*.1 \
	    -e "s@\$${URLOAK}@$(URLOAK)@" \
	    -e "s@\$${URLZJS}@$(URLZJS)@" \
	    -e "s@\$${URLHP}@$(URLHP)@" \
	    -e "s@\$${URLXQX}@$(URLXQX)@" \
	    -e "s@\$${URLLAVA}@$(URLLAVA)@" \
	    -e "s@\$${URLQPDL}@$(URLQPDL)@" \
	    -e "s@\$${URLSLX}@$(URLSLX)@" \
	    -e "s@\$${URLHC}@$(URLHC)@" \
	    -e "s/\$${MODver}/$$MODver/"
	chmod a-w $*.1

install: all
	$(INSTALL) -c osx-hplj-hotplug $(BIN)/

install-hotplug:
	$(INSTALL) -c local.localhost.startup.plist /Library/LaunchDaemons/
	( \
		echo "g/osx-hplj-hotplug/d"; \
		echo "\$$a"; \
		echo "# BEGIN osx-hplj-hotplug from foo2zjs"; \
		echo "	killall osx-hplj-hotplug"; \
		echo "	osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &"; \
		echo "# END osx-hplj-hotplug from foo2zjs"; \
		echo "."; \
		echo "w"; \
	) | ex $(RC)
	chmod +x $(RC)
	-killall osx-hplj-hotplug
	nohup osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &

install-man: man
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -d -m 755 $(MANDIR)/man1/
	$(INSTALL) -c -m 644 osx-hplj-hotplug.1 $(MANDIR)/man1/

clean:
	rm -f *.o *.1

uninstall:
	( \
		echo "g/osx-hplj-hotplug/d"; \
		echo "w"; \
	) | ex $(RC)
	-rm -f $(BIN)/osx-hplj-hotplug

=== debian/changelog ===
foo2zjs (20170320dfsg0-4ubuntu0.1) bionic-security; urgency=medium

  * No change rebuild for jbigkit security update.

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Fri, 17 Mar 2023 14:27:23 -0300

foo2zjs (20170320dfsg0-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Don't recommend tk on Ubuntu (Closes: #886179)

 -- Didier Raboud <odyx@debian.org>  Sun, 25 Feb 2018 16:41:56 +0100

foo2zjs (20170320dfsg0-3) unstable; urgency=medium

  * Update debian/control syntax with cme
  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 14:30:11 +0100

foo2zjs (20170320dfsg0-2) unstable; urgency=low

  * Migrate 20170320 to unstable

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Jun 2017 17:05:18 +0200

foo2zjs (20170320dfsg0-1) experimental; urgency=low

  * New 20170320 upstream release
    - Add ddstdecode, for decoding some Ricoh printers:
      - Ricoh SP 112
      - Ricoh SP 201Nw

  * Install the ddstdecode-related files
  * DFSG repack (no changes from previous releases)
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <odyx@debian.org>  Tue, 02 May 2017 11:58:23 +0200

=== debian/control ===
Source: foo2zjs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Luca Capello <luca@pca.it>,
           Didier Raboud <odyx@debian.org>
Section: text
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               ghostscript,
               cups-filters | foomatic-filters,
               foomatic-db-engine,
               libcups2-dev,
               liblcms2-utils,
               dc,
               time,
               pyppd (>= 1.0.2-1~),
               libjbig-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/printing-team/foo2zjs
Vcs-Git: https://salsa.debian.org/printing-team/foo2zjs.git
Homepage: http://foo2zjs.rkkda.com/

Package: printer-driver-foo2zjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${ubuntu:mscompress},
         cups-filters | foomatic-filters,
         dc,
         printer-driver-foo2zjs-common (>= ${source:Version}),
         liblcms2-utils
Recommends: wget,
            unzip,
            ${debian:mscompress},
            cups,
            cups-client
Suggests: psutils,
          hannah-foo2zjs
Breaks: udev (<< 136-1),
        cups (<< 1.5.0-3~),
        foo2zjs (<< 20111023dfsg0-1~)
Replaces: foo2zjs (<< 20111023dfsg0-1~)
Description: printer driver for ZjStream-based printers
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package provides the following drivers: foo2hblp2, foo2hiperc,
 foo2hp, foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
 .
 The psutils package is needed to enable n-up printing support.

Package: printer-driver-foo2zjs-common
Architecture: all
Depends: ${misc:Depends}
Recommends: ${debian:tix},
            ${debian:tk},
            printer-driver-foo2zjs (>= ${source:Version})
Suggests: ${ubuntu:tix},
          ${ubuntu:tk}
Enhances: printer-driver-foo2zjs (>= ${source:Version})
Breaks: udev (<< 136-1),
        cups (<< 1.5.0-3~),
        foo2zjs (<< 20111023dfsg0-1~),
        printer-driver-foo2zjs (<< 20131225dfsg0-5~)
Replaces: foo2zjs (<< 20111023dfsg0-1~),
          printer-driver-foo2zjs (<< 20131225dfsg0-5~)
Description: printer driver for ZjStream-based printers - common files
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package contains the architecture-independent files for
 printer-driver-foo2zjs.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ 

override_dh_auto_build:
	cp printer-profile.in printer-profile
	dh_auto_build -- all ppd

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/tmp/usr MODEL=$(CURDIR)/debian/tmp/usr/share/cups/model FOODB=$(CURDIR)/debian/tmp/usr/share/foomatic/db/source PPD=$(CURDIR)/debian/tmp/usr/share/ppd CUPS_SERVERBIN=$(CURDIR)/debian/tmp/usr/lib/cups DOCDIR=$(CURDIR)/debian/tmp/usr/share/doc/printer-driver-foo2zjs

override_dh_install:
	### patches/20-honour-papersize.patch
	# Add support for /etc/papersize to all wrapper scripts. In contrary
	# to a patch this will automatically apply to every new wrapper script
	# which gets added to this package in the future.
	perl -p -i -e 's/^PAPER=(\d+)\s*$$/test -r \/etc\/papersize && PAPER=\x24\(cat \/etc\/papersize\)\ntest "\x24PAPER" || PAPER=\1\n/' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
	# Add "-dNOINTERPOLATE" to the Ghostscript command lines to make
	# Ghostscript rendering the pages significantly faster
	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
	# Legacy dh_install
	dh_install --fail-missing \
		-Xusb_printerid \
		-Xhplj10xx.rules \
		-XINSTALL \
		-XINSTALL.OSX \
		-XCOPYING \
		-XChangeLog \
		-Xcups/filter/command2foo2lava-pjl 

ifneq (,$(filter printer-driver-foo2zjs, $(shell dh_listpackages)))
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# usb_printerid is Linux-specific
	install -D -m 644 usb_printerid $(CURDIR)/debian/printer-driver-foo2zjs/usr/bin/usb_printerid
	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs-common/usr/share/man/man1/usb_printerid.1
	# Use a policy-numbered name for the Linux-specific udev rules file
	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/printer-driver-foo2zjs/lib/udev/rules.d/85-hplj10xx.rules
endif
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	# /etc/devd/hplj10xx.conf is kFreeBSD-specific
	install -D -m 644 hplj10xx.conf $(CURDIR)/debian/printer-driver-foo2zjs/etc/devd/hplj10xx.conf
endif
endif

ifneq (,$(filter printer-driver-foo2zjs-common, $(shell dh_listpackages)))
	### patches/20-PDF-input-data-in-PPDs.patch
	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
	( cd $(CURDIR)/debian/printer-driver-foo2zjs-common/usr/share/ppd/foo2zjs; \
	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
	)
	# Correct the name of the pyppd-compressed PPD set to correspond to the earlier ppd-updater driver name
	dh_pyppd --archive-filename=foo2zjs
endif
	# Install the apport hook on Ubuntu and derivatives
ifeq ($(derives_from_ubuntu),yes)
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
endif

override_dh_auto_test:
	# Run the tests in non-failing mode (they fail…)
	- dh_auto_test

override_dh_compress:
	dh_compress -X.pdf

override_dh_gencontrol:
ifeq ($(derives_from_ubuntu),yes)
	# Ubuntu considers mscompress to be a Depends of printer-driver-foo2zjs
	echo "ubuntu:mscompress=mscompress" >> debian/printer-driver-foo2zjs.substvars
	# Ubuntu considers tix to be a Suggests of printer-driver-foo2zjs
	echo "ubuntu:tix=tix" >> debian/printer-driver-foo2zjs-common.substvars
	# Ubuntu considers tk to be a Suggests of printer-driver-foo2zjs
	echo "ubuntu:tk=tk" >> debian/printer-driver-foo2zjs-common.substvars
else
	# Debian considers mscompress to be a Recommends of printer-driver-foo2zjs
	echo "debian:mscompress=mscompress" >> debian/printer-driver-foo2zjs.substvars
	# Debian considers tix to be a Recommends of printer-driver-foo2zjs
	echo "debian:tix=tix" >> debian/printer-driver-foo2zjs-common.substvars
	# Debian considers tix to be a Recommends of printer-driver-foo2zjs
	echo "debian:tk=tk" >> debian/printer-driver-foo2zjs-common.substvars
endif
	dh_gencontrol

override_dh_auto_clean:
	dh_auto_clean
	- rm -f 85-hplj10xx.rules

UPSTREAM_VERSION ?= `date +%Y%m%d`

get-orig-source:
	- quilt pop -af ; rm -Rf .pc
	git checkout -f upstream/latest
	wget -O ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz 'http://foo2zjs.rkkda.com/foo2zjs.tar.gz'
	gbp import-orig --no-pristine-tar --upstream-version=$(UPSTREAM_VERSION) --no-merge --upstream-branch=upstream/nodfsg ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz
	git merge upstream/$(UPSTREAM_VERSION)
	git tag upstream/$(UPSTREAM_VERSION)dfsg0
	git archive --format=tar --prefix=foo2zjs-$(UPSTREAM_VERSION)dfsg0/ upstream/$(UPSTREAM_VERSION)dfsg0 | xz -6e > ../foo2zjs_$(UPSTREAM_VERSION)dfsg0.orig.tar.xz
	pristine-tar commit ../foo2zjs_$(UPSTREAM_VERSION)dfsg0.orig.tar.xz upstream/$(UPSTREAM_VERSION)dfsg0
	git checkout -f debian/master
	git merge upstream/$(UPSTREAM_VERSION)dfsg0

## foo2zjs 20171202dfsg0

=== debian/changelog ===
foo2zjs (20171202dfsg0-4ubuntu0.1) focal-security; urgency=medium

  * No change rebuild for jbigkit security update. 

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Mon, 20 Mar 2023 07:32:55 -0300

foo2zjs (20171202dfsg0-4) unstable; urgency=medium

  [ Didier Raboud ]
  * Bump Standards-Version to 4.5.0 without changes needed

  [ Sam Morris ]
  * Re-enable manual duplex printing for Samsung CLP 300 (Closes: #627542)

 -- Didier Raboud <odyx@debian.org>  Thu, 30 Jan 2020 21:30:51 +0100

foo2zjs (20171202dfsg0-3) unstable; urgency=medium

  [ Didier Raboud ]
  * Remove Luca Capello <luca@pca.it> from Uploaders with thanks for his past
    work! (Closes: #926368)
  * Packaging cleanup:
    - Trim trailing whitespace.
    - Bump debhelper from old 11 to 12. + debian/rules: Move --fail-missing
      argument to dh_missing
    - Rely on pre-initialized dpkg-architecture variables
    - Bump Standards-Version to 4.4.1
    - Convert to git-debrebase

  [ Helmut Grohne ]
  * Drop -lsomelib make dependencies to progress towards cross-buildability
    (Closes: #949207)

 -- Didier Raboud <odyx@debian.org>  Sat, 18 Jan 2020 12:37:30 +0100

foo2zjs (20171202dfsg0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Don't test for stdio.h in fullpath (Closes: #910322)

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Oct 2018 16:34:48 +0200

foo2zjs (20171202dfsg0-1) unstable; urgency=medium

  * New upstream version 20171202
    - New Printers: HP LaserJet Pro M12a, M12w
  * DFSG repack (no changes from previous releases)
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Packaging cleanup:
    - Bump debhelper compat to 11
    - Don't forcibly set DEB_HOST_ARCH_OS
    - Add Files-Excluded in d/copyright
    - Bump S-V to 4.1.4
    - Remove superfluous Testsuite: field

 -- Didier Raboud <odyx@debian.org>  Tue, 08 May 2018 08:27:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: foo2zjs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders: Luca Capello <luca@pca.it>,
-           Didier Raboud <odyx@debian.org>
+Uploaders: Didier Raboud <odyx@debian.org>
 Section: text
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                ghostscript,
                cups-filters | foomatic-filters,
                foomatic-db-engine,
@@ -16,7 +14,7 @@
                time,
                pyppd (>= 1.0.2-1~),
                libjbig-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/printing-team/foo2zjs
 Vcs-Git: https://salsa.debian.org/printing-team/foo2zjs.git
 Homepage: http://foo2zjs.rkkda.com/

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
-DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	cp printer-profile.in printer-profile
@@ -23,14 +23,15 @@
 	# Ghostscript rendering the pages significantly faster
 	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
 	# Legacy dh_install
-	dh_install --fail-missing \
+	dh_install
+	dh_missing --fail-missing \
 		-Xusb_printerid \
 		-Xhplj10xx.rules \
 		-XINSTALL \
 		-XINSTALL.OSX \
 		-XCOPYING \
 		-XChangeLog \
-		-Xcups/filter/command2foo2lava-pjl 
+		-Xcups/filter/command2foo2lava-pjl
 
 ifneq (,$(filter printer-driver-foo2zjs, $(shell dh_listpackages)))
 ifeq ($(DEB_HOST_ARCH_OS),linux)

## foo2zjs 20200505dfsg0

=== Makefile ===
--- 
+++ 
@@ -249,6 +249,7 @@
 		modify-ppd \
 		command2foo2lava-pjl.c \
 		myftpput \
+		SmartInstallDisable-Tool.run \
 		$(NULL)
 
 # CUPS vars
@@ -398,6 +399,8 @@
 	all-icc2ps all-osx-hotplug man doc \
 	all-done
 
+MACOSX_stdio=/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/stdio.h
+
 all-test:
 	#
 	# Dependencies...
@@ -410,7 +413,9 @@
 	    echo "      ***"; \
 	    exit 1; \
 	fi
-	@if ! test -f /usr/include/stdio.h; then \
+	@if [ "`ls $(MACOSX_stdio) 2> /dev/null`" != "" ]; then \
+	    : ; \
+	elif ! test -f /usr/include/stdio.h; then \
 	    echo "      ***"; \
 	    echo "      *** Error: /usr/include/stdio.h is not installed!"; \
 	    echo "      ***"; \
@@ -504,9 +509,3 @@
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2hbpl2-wrapper: foo2hbpl2-wrapper.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-

=== icc2ps/Makefile ===
UNAME := $(shell uname)

PREFIX=	/usr
PREFIX=	$(DESTDIR)/usr
BIN=	$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

SRC=	icc2ps.c xgetopt.c
LIB=	cmscam97.c cmscnvrt.c cmserr.c cmsgamma.c cmsgmt.c cmsintrp.c cmsio1.c \
	cmslut.c cmsmatsh.c cmsmtrx.c cmsnamed.c cmspack.c cmspcs.c cmsps2.c \
	cmssamp.c cmswtpnt.c cmsxform.c cmsio0.c cmsvirt.c
CFLAGS=	-O3
INSTALL=install
ifeq ($(UNAME),SunOS)
    INSTALL=/usr/ucb/install
    CC=gcc
endif

.SUFFIXES: .1 .1in

all: foo2zjs-icc2ps man

foo2zjs-icc2ps: $(SRC) $(LIB)
	$(CC) $(CFLAGS) $(SRC) $(LIB) -lm -o $@

install: all
	$(INSTALL) -c foo2zjs-icc2ps $(BIN)

man:	foo2zjs-icc2ps.1

.1in.1: 
	-rm -f $*.1
	MODver=$(VERSION); \
	../includer-man -v DEF1=$(OLDGROFF) $*.1in | sed > $*.1 \
	    -e "s@\$${URLOAK}@$(URLOAK)@" \
	    -e "s@\$${URLZJS}@$(URLZJS)@" \
	    -e "s@\$${URLHP}@$(URLHP)@" \
	    -e "s@\$${URLXQX}@$(URLXQX)@" \
	    -e "s@\$${URLLAVA}@$(URLLAVA)@" \
	    -e "s@\$${URLQPDL}@$(URLQPDL)@" \
	    -e "s@\$${URLSLX}@$(URLSLX)@" \
	    -e "s@\$${URLHC}@$(URLHC)@" \
	    -e "s/\$${MODver}/$$MODver/"
	chmod a-w $*.1

install-man: man
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -d -m 755 $(MANDIR)/man1/
	$(INSTALL) -c -m 644 foo2zjs-icc2ps.1 $(MANDIR)/man1/

clean:
	rm -f *.o foo2zjs-icc2ps *.1

foo2zjs-icc2ps: icc34.h lcms.h

regress: all
	@./foo2zjs-icc2ps a b 2>&1 | grep "little cms P"
	@for i in ../icm/*.icm; do \
	    b=`basename $$i`; \
	    ./foo2zjs-icc2ps -o $$i -t0 | grep -v Created >$$b.ps; \
	    md5sum $$b.ps; \
	done
	@rm -f *icm.ps

=== debian/changelog ===
foo2zjs (20200505dfsg0-2) unstable; urgency=medium

  * Remove myself from Uploaders
  * Run wrap-and-sort -baskt
  * Cleanup dependencies thanks to cme fix dpkg-control
  * S-V: Update to 4.6.0 without changes needed
  * Bump debhelper from old 12 to 13
  * Update renamed lintian tag names in lintian overrides
  * Add Salsa CI configuration
  * getweb: use quirinux.org mirror as the original site is down
    (Closes: #992282)

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Sep 2021 14:45:45 +0200

foo2zjs (20200505dfsg0-1) unstable; urgency=medium

  * Update to new upstream version 20200505
  * Refresh packaging:
    - drop empty d/rules;
    - update d/rules' get-orig-source to use debrebase process
  * Add patch to fix foomatic-ppdfile call

 -- Didier Raboud <odyx@debian.org>  Mon, 25 May 2020 22:15:31 +0200

=== debian/control ===
Source: foo2zjs
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Section: text
Priority: optional
Build-Depends:
 cups-filters | foomatic-filters,
 dc,
 debhelper-compat (= 13),
 foomatic-db-engine,
 ghostscript,
 libcups2-dev,
 libjbig-dev,
 liblcms2-utils,
 pyppd,
 time,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/printing-team/foo2zjs
Vcs-Git: https://salsa.debian.org/printing-team/foo2zjs.git
Homepage: http://foo2zjs.rkkda.com/

Package: printer-driver-foo2zjs
Architecture: any
Depends:
 cups-filters | foomatic-filters,
 dc,
 liblcms2-utils,
 printer-driver-foo2zjs-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 ${ubuntu:mscompress},
Recommends:
 cups,
 cups-client,
 unzip,
 wget,
 ${debian:mscompress},
Suggests:
 hannah-foo2zjs,
 psutils,
Breaks:
 foo2zjs (<< 20111023dfsg0-1~),
Replaces:
 foo2zjs (<< 20111023dfsg0-1~),
Description: printer driver for ZjStream-based printers
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package provides the following drivers: foo2hblp2, foo2hiperc,
 foo2hp, foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
 .
 The psutils package is needed to enable n-up printing support.

Package: printer-driver-foo2zjs-common
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 printer-driver-foo2zjs (>= ${source:Version}),
 ${debian:tix},
 ${debian:tk},
Suggests:
 ${ubuntu:tix},
 ${ubuntu:tk},
Enhances:
 printer-driver-foo2zjs (>= ${source:Version}),
Breaks:
 foo2zjs (<< 20111023dfsg0-1~),
Replaces:
 foo2zjs (<< 20111023dfsg0-1~),
Description: printer driver for ZjStream-based printers - common files
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package contains the architecture-independent files for
 printer-driver-foo2zjs.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
 	# Legacy dh_install
 	dh_install
-	dh_missing --fail-missing \
+	dh_missing \
 		-Xusb_printerid \
 		-Xhplj10xx.rules \
 		-XINSTALL \

=== debian/tests/control ===
Tests: printer-driver-foo2zjs
Restrictions: needs-root
Depends:
 cups,
 cups-client (>= 1.7.3-5~),
 printer-driver-foo2zjs,
